#!/usr/bin/bash

SCREEN=$1
LOG_FILE=$2

exec 2>&1
exec >>$LOG_FILE

if grep -Eiq "release\s+10" /etc/redhat-release; then
	REL='10'
elif grep -Eiq "release\s+9" /etc/redhat-release; then
	REL='9'
else
	exit 1
fi

EXTENSIONS="arcmenu@arcmenu.com ding@rastersoft.com dash-to-panel@jderose9.github.com"

for ext in $EXTENSIONS; do
	gnome-extensions disable $ext
done

case $REL in
	'9') gnome-extensions disable dash-to-dock@gnome-shell-extensions.gcampax.github.com ;;
	'10') gnome-extensions disable dash-to-dock@micxgx.gmail.com ;;
esac

if echo $SCREEN | grep -q '^gnome_classic'; then
	for ext in $EXTENSIONS; do
		gnome-extensions enable $ext
	done
elif echo $SCREEN | grep -q '^gnome_shell'; then
	case $REL in
		'9') gnome-extensions enable dash-to-dock@gnome-shell-extensions.gcampax.github.com ;;
		'10') gnome-extensions enable dash-to-dock@micxgx.gmail.com ;;
	esac
else
    echo "Error"
    exit 1
fi

